import request from '@/utils/request'

// 获取列表
export function queryRefundList(params) {
  return request({
    url: '/businessProcessingTask/doDifferenceList',
    method: 'get',
    params
  })
}

// 申请退款
export function applyRefund(params) {
  return request({
    url: '/refundManagement/edit',
    method: 'get',
    params
  })
}

// 获取主体公司
export function queryMainCompany(params) {
  return request({
    url: '/refundManagement/getAllCompanyEntityBySop',
    method: 'get',
    params
  })
}

// 获取申请内容
export function queryApplyContent(data) {
  return request({
    url: '/refundManagement/findBySelectAmountType',
    method: 'post',
    data
  })
}

// 申请退款提交
export function submitApplyRefund(data) {
  return request({
    url: '/refundManagement/doEdit',
    method: 'post',
    data
  })
}

// 退款审核提交
export function submitApprovalRefund(data) {
  return request({
    url: '/refundManagement/approval/doEdit',
    method: 'post',
    data
  })
}
